#!/bin/sh

load_driver()
{
   # Load ecat driver
   modprobe niecatk
   if [ $? -ne 0 ]; then
      echo "Failed to modprobe EtherCAT MACB kernel driver!"
      exit 1
   fi
}

case "$1" in
  start)
   load_driver
   ;;
  *)
   echo "Usage: $progname {start}" >&2
   exit 1
   ;;
esac

exit 0

